## org.apache.bcel.generic
Interface TypedInstruction

All Known Subinterfaces:
  ConstantPushInstruction

All Known Implementing Classes:
  ArithmeticInstruction, ArrayInstruction, ConversionInstruction, CPInstruction, FieldInstruction, JsrInstruction, LDC, LocalVariableInstruction, FCMPG, FCONST, RET, DCMPL, ICONST, InvokeInstruction, FCMPL, ReturnInstruction, LCONST, ACONST_NULL, LDC2_W, DCONST, DCMPG

public interface TypedInstruction

Get the type associated with an instruction, int for ILOAD, or the type of the field of a PUTFIELD instruction, e.g..

Version:
  $Id: TypedInstruction.java,v 1.1.1.1 2001/10/29 20:00:28 jvanzyl Exp $
Author:
  M. Dahm

Method Summary
`Type` `getType(ConstantPoolGen cpg)`

Method Detail

### getType

    public Type getType(ConstantPoolGen cpg)